Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PassCorridorCollection Class Reference

`#include <PassCorridorCollection.h>`

Collaboration diagram for PassCorridorCollection:

[legend]
List of all members.

## Public Member Functions
| PassCorridorCollection ()
| Constructor.
void | reset ()
| Reset all pass corridors.
bool | findBestPassCorridor ()
| Finds the best pass corridor.
const double | getBestPassCorridorQuality () const
| Returns Quality of the best pass corridor.
## Public Attributes
int | numberOfPassCorridors
| Number of inhabited pass corridors.
int | bestPassCorridorIndex
| The index of the best pass corridor.
PassCorridor * | bestPassCorridor
PassCorridor | passCorridors [4]
| The corridors.
double | maxPassCorridorRate
| This var should be a constant.

## Constructor & Destructor Documentation

PassCorridorCollection::PassCorridorCollection | ( |  | ) |

| Constructor. Definition at line 32 of file PassCorridorCollection.cpp. References maxPassCorridorRate, and reset().

Here is the call graph for this function:

## Member Function Documentation

void PassCorridorCollection::reset | ( |  | ) |

| Reset all pass corridors. Definition at line 38 of file PassCorridorCollection.cpp. References bestPassCorridorIndex, numberOfPassCorridors, passCorridors, and PassCorridor::reset(). Referenced by PassCorridorCollection().

Here is the call graph for this function:

bool PassCorridorCollection::findBestPassCorridor | ( |  | ) |

| Finds the best pass corridor. Returns: found or not found Definition at line 46 of file PassCorridorCollection.cpp. References bestPassCorridor, bestPassCorridorIndex, numberOfPassCorridors, passCorridors, PassCorridor::rate, PassCorridor::rateAngleToPartner, PassCorridor::rateDistanceBorderLine, PassCorridor::rateDistanceToPartner, PassCorridor::rateDistanceWin, and PassCorridor::rateWidthOfCorridor.

const double PassCorridorCollection::getBestPassCorridorQuality | ( |  | ) | const

| Returns Quality of the best pass corridor. Definition at line 77 of file PassCorridorCollection.cpp. References bestPassCorridorIndex, maxPassCorridorRate, passCorridors, and PassCorridor::rate. Referenced by PassSymbols::getPassQuality().

## Member Data Documentation

int PassCorridorCollection::numberOfPassCorridors

| Number of inhabited pass corridors. Definition at line 106 of file PassCorridorCollection.h. Referenced by findBestPassCorridor(), operator<<(), operator>>(), and reset().

int PassCorridorCollection::bestPassCorridorIndex

| The index of the best pass corridor. Definition at line 111 of file PassCorridorCollection.h. Referenced by findBestPassCorridor(), PassSymbols::getAngleToPassReceiver(), getBestPassCorridorQuality(), PassSymbols::getPassDistance(), PassSymbols::getPassExists(), PassSymbols::getPlayerNumberOfReceiver(), and reset().

PassCorridor* PassCorridorCollection::bestPassCorridor

| Definition at line 118 of file PassCorridorCollection.h. Referenced by findBestPassCorridor(), PassSymbols::getAngleToPassReceiver(), PassSymbols::getPassDistance(), and PassSymbols::getPlayerNumberOfReceiver().

PassCorridor PassCorridorCollection::passCorridors[4]

| The corridors. Definition at line 122 of file PassCorridorCollection.h. Referenced by findBestPassCorridor(), getBestPassCorridorQuality(), operator<<(), operator>>(), and reset().

double PassCorridorCollection::maxPassCorridorRate

| This var should be a constant. Definition at line 127 of file PassCorridorCollection.h. Referenced by getBestPassCorridorQuality(), and PassCorridorCollection().

The documentation for this class was generated from the following files:

- Representations/Cognition/PassCorridorCollection.h
- Representations/Cognition/PassCorridorCollection.cpp